$(function()
{
    $('#type, #year, #dept').change(function()
    {
        const type      = $('#type').val();
        const currency  = $('#currency').val();
        const year      = $('#year').val();
        const dept      = $('#dept').val();
        const startDept = $('#startDept').val();
        $('.btn-search').attr('href', createLink('contract', 'report', 'type=' + type + '&currency=' + currency + '&year=' + year + '&dept=' + dept + '&startDept=' + startDept));
    });
})
